{% extends "base.html.twig" %}

{% block body %}
    <div class="party-list container">
        {% if app.user %}
            <h1>{{ 'default.index.title_logged_in'|trans({'%firstname%': app.user.getFirstname()}) }}</h1>
        {% else %}
            <h1>{{ 'default.index.title_anonymous'|trans }}</h1>
        {% endif %}

        <div class="row">
            {% for party in parties %}

                <div class="col-12 col-md-4">
                    <div class="card">
                        <div class="card-body">
                            <h5 class="card-title">{{ party.getName() }} <span class="badge badge-info">{{ party.getStartsAt().format('d-m-Y') }}</span></h5>
                            <p class="card-text">{{ party.getDescription() }}</p>
                            {% if app.user %}
                                {% if app.user.hasRespondedToParty(party) %}
                                    {% if party.hasAccepted(app.user) %}
                                        <p class="text-small text-success">{{ 'default.index.party_accepted'|trans }}</p>
                                    {% else %}
                                        <p class="text-small text-warning">{{ 'default.index.party_denied'|trans }}</p>
                                    {% endif %}
                                {% else %}
                                    <a href="javascript:void(0)" data-url="{{ path('default_sign_up', {'party': party.getId(), 'isAccepted': 1}) }}" class="js-response-listener"><i class="fa fa-check-circle-o"></i></a>
                                    &nbsp;
                                    <a href="javascript:void(0)" data-url="{{ path('default_sign_up', {'party': party.getId(), 'isAccepted': 0}) }}" class="js-response-listener"><i class="fa fa-times-circle-o"></i></a>
                                {% endif %}
                            {% endif %}
                        </div>
                    </div>
                </div>

            {% endfor %}
        </div>
    </div>
{% endblock %}
